%define name BasiliskII
%define version 0.8
%define release 10mdk
%define modversion 2.2.15-0.28mdk
%define snapshot 14032000

Summary: A free, portable Mac II emulator
Name: %{name}
Version: %{version}
Release: %{release}
Source: http://iphcip1.physik.uni-mainz.de/~cbauer/%{name}_src_%{snapshot}.tar.bz2
Patch0: %{name}-%{version}-keycodes.patch
Copyright: GPL
URL: http://www.uni-mainz.de/~bauec002/B2Main.html
Group: Emulators
Prefix: /usr
BuildRoot: %{_tmppath}/%{name}-%{version}-root
BuildPreReq: XFree86-devel, gtk+-devel, glib-devel, esound-devel
ExclusiveArch: i386 i486 i586 i687 k6 k7 sparc

%description
Basilisk II is a free, portable, Open Source 68k Mac emulator. It requires
a copy (for copyright reason not included with Basilisk II package) of a
Mac ROM and a copy of MacOS to run.

Basilisk II emulates either a Mac Classic (which runs MacOS 0x thru 7.5)
or a Mac II series machine (which runs MacOS 7.x, 8.0 and 8.1), depending
on the ROM being used.

%package sheepnet
Summary: Basilisk II network module
Group: Emulators
Requires: %{name} = %{version}
Prereq: /bin/mknod, /sbin/depmod, kernel

%description sheepnet
This package contains the sheep_net kernel module for
Ethernet networking under Basilisk II.

%prep
%setup -q
%patch0 -p1

%build
cd ./src/Unix
# (fg) According to Giuseppe Ghib, Basilisk won't work with our default
# RPM_OPT_FLAGS, hence the CFLAGS hack below. In order to make it portable, it
# is now surrounded by an %ifarch, with -O2 as the only flags for architectures
# other than ix86.
%ifarch i386 i486 i586 i686
CFLAGS="-O2 -fomit-frame-pointer -mpentium" \
	CXXFLAGS="-O2 -fomit-frame-pointer -mpentium" \
%else
CFLAGS="-O2" \
	CXXFLAGS="-O2" \
%endif
./configure --prefix=%{prefix}
make
cd Linux/NetDriver
make

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/%{prefix}/{bin,lib,man/man1}
mkdir -p $RPM_BUILD_ROOT/lib/modules/%{modversion}/misc
cd ./src/Unix
make prefix=$RPM_BUILD_ROOT/%{prefix} install
cd ./Linux/NetDriver
install -m 644 sheep_net.o $RPM_BUILD_ROOT/lib/modules/%{modversion}/misc

%clean
rm -rf $RPM_BUILD_ROOT

%post sheepnet
if [ ! -c /dev/sheep_net ]; then
	/bin/mknod /dev/sheep_net c 10 198
	chmod 775 /dev/sheep_net
	chown root.sys /dev/sheep_net
fi
# rebuild module if kernel is not the same here
if [ "`uname -r`" != "%{modversion}" ]; then
	mkdir -p /tmp/sheep_net
	cd /tmp/sheep_net
	cp /usr/doc/%{name}-sheepnet-%{version}/{Makefile,sheep_net.c} .
	make >/dev/null 2>&1
	install -m 644 sheep_net.o /lib/modules/`uname -r`/misc
	rm -rf /tmp/sheep_net
fi
/sbin/depmod -a

%postun sheepnet
/sbin/depmod -a

%files
%defattr(-,root,root)
%doc README TECH TODO COPYING
%attr(755,root,root) %{prefix}/bin/BasiliskII
%attr(-,root,man) %{prefix}/man/man1/*
%{prefix}/share/BasiliskII/*

%files sheepnet
%defattr(-,root,root)
%doc src/Unix/Linux/NetDriver/Makefile src/Unix/Linux/NetDriver/sheep_net.c
/lib/modules/%{modversion}/misc/sheep_net.o

%changelog
* Sat Apr 29 2000 Giuseppe Ghib <ghibo@mandrakesoft.com> 0.8-10mdk
- merged with my previous changes
- rebuild with latest kernel.
- updated keycodes patch.

* Wed Apr  5 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8-9mdk
- Spec-helper.
- Fix groups.
- Add Prereq kernel for sheepnet pacakge to don't fail on depmod.

* Wed Mar 22 2000 Giuseppe Ghib <ghibo@mandrakesoft.com>
- updated to 14032000 snapshot.

* Mon Feb 07 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to 0.8-1 (0012000).

* Fri Jan 21 2000 Chmouel Boudjnah <chmouel@mandrakesoft.com> 0.8-8mdk
- don't build on alpha.

* Thu Jan 13 2000 Francis Galiegue <francis@mandrakesoft.com>
- reintegrated CFLAGS hack, but made it architecture dependant. Leave only -O2
  for archs other than ix86.

* Tue Jan 11 2000 Francis Galiegue <francis@mandrakesoft.com>
- Removed CFLAGS= in ./configure - non portable

* Mon Jan 03 2000 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to snapshot 22111999.

* Mon Dec 20 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- rebuild for new kernel version.

* Sat Nov 06 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- updated to snapshot 02111999.
 
* Sat Oct 25 1999 Giuseppe Ghib <ghibo@linux-mandrake.com>
- mandrake adaptions
- removed patch for changing 'keycodes' path
- added patch for 'keycodes' files (XFree86 vendor string)
- split package in main and sheepnet
- added BuildPreReq

* Sun Aug 14 1999 Arne Coucheron <arneco@online.no>
  [250799-2]
- corrected the path definition of the keycode file

* Sun Aug 14 1999 Arne Coucheron <arneco@online.no>
  [250799-1]
- first RPM build
